
// 费用明细信息
export default (self, expData = []) => {
  return [
    {
      dataIndex: 'expenseCode',
      title: '费用编码',
      width: 120,
      sorter: (a, b) => {
        return a.expenseCode - b.expenseCode
      },
    },
    {
      dataIndex: 'expenseName',
      title: '费用名称',
      width: 120,
      sorter: (a, b) => {
        return a.expenseCode - b.expenseCode
      },
    },
    {
      dataIndex: 'expenseAccountCode',
      title: '费用科目编码',
      width: 120,
      sorter: (a, b) => {
        return a.expenseAccountCode - b.expenseAccountCode
      },
    },
    {
      dataIndex: 'expenseAccountName',
      title: '费用科目名称',
      width: 120,
      sorter: (a, b) => {
        return a.expenseAccountCode - b.expenseAccountCode
      },
    },
    {
      dataIndex: 'expenseTypeName',
      title: '费用类型',
      width: 120,
      sorter: (a, b) => {
        return a.expenseType - b.expenseType
      },
    },
    {
      dataIndex: 'taxAmt',
      title: '含税金额',
      width: 120,
      sorter: (a, b) => {
        return a.taxAmt - b.taxAmt
      },
    },
    {
      dataIndex: 'noTaxAmt',
      title: '未税金额',
      width: 120,
      sorter: (a, b) => {
        return a.noTaxAmt - b.noTaxAmt
      },
    },
    {
      dataIndex: 'taxPoint',
      title: '税点',
      width: 120,
      sorter: (a, b) => {
        return a.taxPoint - b.taxPoint
      },
    },
    {
      dataIndex: 'tax',
      title: '税额',
      width: 120,
      sorter: (a, b) => {
        return a.tax - b.tax
      },
    },
    {
      dataIndex: 'expenseMemo',
      title: '费用说明',
      width: 120,
      sorter: (a, b) => {
        return a.expenseMemo - b.expenseMemo
      },
    },
    {
      dataIndex: 'billingSourceName',
      title: '费用来源',
      width: 120,
      sorter: (a, b) => {
        return a.billingSource - b.billingSource
      },
    },
    {
      dataIndex: 'billingStatusName',
      title: '计费状态',
      width: 120,
      sorter: (a, b) => {
        return a.billingStatus - b.billingStatus
      },
    },
    {
      dataIndex: 'billingDate',
      title: '计费时间',
      width: 160,
      sorter: (a, b) => {
        return +new Date(a.billingDate) - +new Date(b.billingDate)
      },
    },
    {
      dataIndex: 'billingContract',
      title: '计费合同',
      width: 120,
      sorter: (a, b) => {
        return a.billingContract - b.billingContract
      },
    },
    {
      dataIndex: 'billingPrice',
      title: '计费价格表',
      width: 120,
      sorter: (a, b) => {
        return a.billingPrice - b.billingPrice
      },
    },
    {
      dataIndex: 'billingTypeName;',
      title: '计费类别',
      width: 120,
      sorter: (a, b) => {
        return a. billingType - b. billingType;
      },
    },
    {
      dataIndex: 'billingFailReason',
      title: '计费失败原因',
      width: 120,
      sorter: (a, b) => {
        return a.billingFailReason.length - b.billingFailReason.length
      },
    }
  ]
}
